%global srcname kerberos

Summary:       A high-level wrapper for Kerberos (GSSAPI) operations
Name:          python-%{srcname}
Version:       1.3.1
Release:       1%{?dist}
License:       Apache-2.0
URL:           https://pypi.python.org/pypi/kerberos
Source0:       https://pypi.python.org/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:       LICENSE

Patch3000:     PY_SSIZE_T_CLEAN.patch

BuildRequires: python3-devel python3-setuptools python3-requests krb5-devel gcc

%description
This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.  The goal is to avoid
having to build a module that wraps the entire Kerberos framework, and instead offer a limited set
of functions that do what is needed for client/server Kerberos authentication based on
<http://www.ietf.org/rfc/rfc4559.txt>.

%package -n python3-%{srcname}
Summary:        A high-level wrapper for Kerberos (GSSAPI) operations

%description -n python3-%{srcname}
This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.  The goal is to avoid
having to build a module that wraps the entire Kerberos framework, and instead offer a limited set
of functions that do what is needed for client/server Kerberos authentication based on
<http://www.ietf.org/rfc/rfc4559.txt>.


%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%{py3_build}

%install
install -m 644 $RPM_SOURCE_DIR/LICENSE LICENSE 
%{py3_install}

%check
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python3} -c 'import kerberos; kerberos.channelBindings(application_data=b"")'

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitearch}/*


%changelog
* Thu Sep 21 2023 Miaojun Dong <zoedong@tencent.com> - 1.3.1-1
- Bump version to 1.3.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 16 2023 Shuo Wang <abushwang@tencent.com> - 1.3.0-1
- initial build
